aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-macos-10.14-x86_64
diff options
context:
space:
mode:
authorDimitrios Apostolou <jimis@qt.io>2019-08-15 13:55:07 +0200
committerDimitrios Apostolou <jimis@qt.io>2019-09-26 20:12:20 +0200
commitb8eb110c81f29d24857bec3a8ed516584a8e6bef (patch)
tree5e0667d38525568db6029d9cb680067fd29e896b /coin/provisioning/qtci-macos-10.14-x86_64
parentb97df21bef1d6a9deab1c62eaa1cbb8f477819ad (diff)
Increase open files and processes limit on macOS
Change-Id: If93bbe067f76168a7c131c6ced187f00a8d908e1 Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-macos-10.14-x86_64')
-rwxr-xr-xcoin/provisioning/qtci-macos-10.14-x86_64/01-increase_limits.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-macos-10.14-x86_64/01-increase_limits.sh b/coin/provisioning/qtci-macos-10.14-x86_64/01-increase_limits.sh
new file mode 100755
index 00000000..c7bf7a88
--- /dev/null
+++ b/coin/provisioning/qtci-macos-10.14-x86_64/01-increase_limits.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2019 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+
+set -ex
+
+
+PROVISION_DIR="$(dirname "$0")/.."
+export PROVISION_DIR
+
+
+. "$PROVISION_DIR"/common/macos/increase_limits.sh